Atom feed of this document
 

 Show Network

Verb URI Description
GET /tenants/tenant-id/networks/network-id Lists information for a specific network, identified by network-id, for a given tenant, identified by tenant-id.

Normal Response Code(s): 200

Error Response Code(s): Unauthorized (401), Forbidden (403), NetworkNotFound (420)

This operation returns the identifier and the name for a specific network configured in Quantum.

This operation does not require a request body.

 

Example 4.5. Show Network Request/Response (XML)

Request:

GET /tenants/XYZ/networks/8bec1293-16bd-4568-ba75-1f58bec0b4c3.xml

Response:

    <network
           id="8bec1293-16bd-4568-ba75-1f58bec0b4c3"
           name="test_network"/>
                    

 

Example 4.6. Show Network Request/Response (JSON)

Request:

GET /tenants/XYZ/networks/8bec1293-16bd-4568-ba75-1f58bec0b4c3.json	                

Response:

{
   "network":
       {
           "id": "8bec1293-16bd-4568-ba75-1f58bec0b4c3",
           "name": "test_network"
       }
}